# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "seam-macros"
version = "0.5.10"
authors = ["Canmi(Canmi21) <t@canmi.icu>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for the SeamJS compile-time rendering framework"
readme = "README.md"
keywords = [
    "seam",
    "ctr",
    "proc-macro",
    "derive",
]
categories = ["development-tools::procedural-macro-helpers"]
license = "MIT"
repository = "https://github.com/canmi21/seam"
resolver = "2"

[lib]
name = "seam_macros"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "macro_tests"
path = "tests/macro_tests.rs"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = ["full"]

[dev-dependencies.serde]
version = "1"
features = ["derive"]

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.trybuild]
version = "1"

[lints.clippy]
cloned_instead_of_copied = "warn"
dbg_macro = "deny"
explicit_iter_loop = "warn"
implicit_clone = "warn"
inefficient_to_string = "warn"
manual_let_else = "warn"
needless_pass_by_value = "warn"
print_stderr = "warn"
print_stdout = "warn"
redundant_closure_for_method_calls = "warn"
todo = "warn"
too_many_lines = "warn"
uninlined_format_args = "warn"
unnecessary_wraps = "warn"
unused_self = "warn"
unwrap_used = "warn"
